Package org.jboss.logging.processor.apt

## Class ProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.logging.processor.apt.ProcessingException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ProcessingException
    extends java.lang.RuntimeException

An exception that can be used to log which element caused the error.

Author:
  James R. Perkins
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ProcessingException​(javax.lang.model.element.Element element, java.lang.String message)` Creates a new exception.
`ProcessingException​(javax.lang.model.element.Element element, java.lang.String format, java.lang.Object... args)` Creates a new exception.
`ProcessingException​(javax.lang.model.element.Element element, javax.lang.model.element.AnnotationMirror annotation, java.lang.String message)` Creates a new exception.
`ProcessingException​(javax.lang.model.element.Element element, javax.lang.model.element.AnnotationMirror annotation, java.lang.String format, java.lang.Object... args)` Creates a new exception.
`ProcessingException​(javax.lang.model.element.Element element, javax.lang.model.element.AnnotationMirror annotation, javax.lang.model.element.AnnotationValue annotationValue, java.lang.String message)` Creates a new exception.
`ProcessingException​(javax.lang.model.element.Element element, javax.lang.model.element.AnnotationMirror annotation, javax.lang.model.element.AnnotationValue annotationValue, java.lang.String format, java.lang.Object... args)` Creates a new exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.lang.model.element.AnnotationMirror` `getAnnotation()` The annotation where the error occurred.
`javax.lang.model.element.AnnotationValue` `getAnnotationValue()` The value for the annotation that is invalid.
`javax.lang.model.element.Element` `getElement()` The element the error occurred on.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProcessingException

    public ProcessingException​(javax.lang.model.element.Element element,
                               java.lang.String message)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `message` - the message

#### ProcessingException

    public ProcessingException​(javax.lang.model.element.Element element,
                               javax.lang.model.element.AnnotationMirror annotation,
                               java.lang.String message)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `annotation` - the annotation the error occurred on
  `message` - the message

#### ProcessingException

    public ProcessingException​(javax.lang.model.element.Element element,
                               javax.lang.model.element.AnnotationMirror annotation,
                               javax.lang.model.element.AnnotationValue annotationValue,
                               java.lang.String message)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `annotation` - the annotation the error occurred on
  `annotationValue` - the annotation value
  `message` - the message

#### ProcessingException

    public ProcessingException​(javax.lang.model.element.Element element,
                               java.lang.String format,
                               java.lang.Object... args)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `format` - the format for the message
  `args` - the arguments for the format

#### ProcessingException

    public ProcessingException​(javax.lang.model.element.Element element,
                               javax.lang.model.element.AnnotationMirror annotation,
                               java.lang.String format,
                               java.lang.Object... args)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `annotation` - the annotation the error occurred on
  `format` - the format for the message
  `args` - the arguments for the format

#### ProcessingException

    public ProcessingException​(javax.lang.model.element.Element element,
                               javax.lang.model.element.AnnotationMirror annotation,
                               javax.lang.model.element.AnnotationValue annotationValue,
                               java.lang.String format,
                               java.lang.Object... args)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `annotation` - the annotation the error occurred on
  `annotationValue` - the annotation value
  `format` - the format for the message
  `args` - the arguments for the format

### Method Detail

#### getElement

    public javax.lang.model.element.Element getElement()

The element the error occurred on.

Returns:
  the element

#### getAnnotation

    public javax.lang.model.element.AnnotationMirror getAnnotation()

The annotation where the error occurred.

Returns:
  the annotation or `null` if the error did not occur on an annotation

#### getAnnotationValue

    public javax.lang.model.element.AnnotationValue getAnnotationValue()

The value for the annotation that is invalid.

Returns:
  the annotation value or `null`